%define		_class		Crypt
%define		_subclass	Blowfish
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	1.0.1
Release:	%mkrel 11
Summary:	Quick two-way blowfish encryption
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Crypt_Blowfish/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
BuildRequires:	sed >= 4.0.0
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
This package allows you to preform two-way blowfish on the fly using
only PHP. This package does not require the Mcrypt PHP extension to
work.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
rm -rf %{buildroot}

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml






%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0.1-11.mga3
+ Revision: 375932
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 01 2011 spuhler <spuhler> 1.0.1-10.mga1
+ Revision: 45644
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Crypt_Blowfish

